Bug 436924 - Broken (?) amd64 optimization breaks idesk.
Broken (?) amd64 optimization breaks idesk.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imlib2 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 222998
  Show dependency treegraph
 
Reported: 2008-03-11 03:04 EDT by Gilboa Davara
Modified: 2008-03-13 03:39 EDT (History)
0 users

See Also:
Fixed In Version: 1.4.0-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
amd64 configure fix (988 bytes, patch)
2008-03-11 03:04 EDT, Gilboa Davara
no flags Details | Diff

  None (edit)
Description Gilboa Davara 2008-03-11 03:04:40 EDT
I'm trying to get idesk (desktop icons for minimal WM's) submitted into Fedora. [1]
I'm being hit by a crash on AMD64 in imlib_blend_image_onto_image.
According to Debian idesk maintainer [2], this problem can be solved by
disabling the amd64 assembly optimizations within imlib2. (Attached patch)
I can confirm that this work-around does indeed solves the problem.

I'm unaware of any potential problems with this patch.

- Gilboa
[1] https://bugzilla.redhat.com/show_bug.cgi?id=222998
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=397012
Comment 1 Gilboa Davara 2008-03-11 03:04:40 EDT
Created attachment 297571 [details]
amd64 configure fix
Comment 2 Fedora Update System 2008-03-11 07:50:11 EDT
imlib2-1.4.0-6.fc8 has been submitted as an update for Fedora 8
Comment 3 Hans de Goede 2008-03-11 07:51:30 EDT
(In reply to comment #2)
> imlib2-1.4.0-6.fc8 has been submitted as an update for Fedora 8

And that contains the fix for this issue :)
Comment 4 Gilboa Davara 2008-03-11 08:02:22 EDT
Wow... that was fast :)
Thanks!

- Gilboa
Comment 5 Gilboa Davara 2008-03-11 08:42:58 EDT
P.S. I assume that you're the maintainer of the EPEL package, right?
Comment 6 Hans de Goede 2008-03-11 09:51:51 EDT
Nope, and appearantly he has't asked to be added to the CC for Fedora bugs.
Comment 7 Gilboa Davara 2008-03-12 13:09:14 EDT
If nothing major breaks, I'll file a second BZ against EPEL.

Thanks again,
Gilboa
Comment 8 Fedora Update System 2008-03-13 03:39:49 EDT
imlib2-1.4.0-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.